import request from '@/config/axios'

// 资料 VO
export interface IotInfoVO {
  id: number // 主键id
  deviceId: number // 设备id
  deptId: number // 部门id
  filename: string // 文件名称
  fileType: string // 文件类型
  filePath: string // 文件路径
  remark: string // 备注
  classId: number
}

// 资料 API
export const IotInfoApi = {
  // 查询资料分页
  getIotInfoPage: async (params: any) => {
    return await request.get({ url: `/rq/iot-info/page`, params })
  },
  // 查询资料库的子目录及文件
  getChildContentFile: async (params: any) => {
    return await request.post({ url: `/rq/iot-info/child/content-file`, params })
  },
  getAllChildContentFile: async (params: any) => {
    return await request.post({ url: `/rq/iot-info/all/content-file`, params })
  },
  getIotInfoFilePage: async (params: any) => {
    return await request.post({ url: `/rq/iot-info/file/page`, params })
  },
  // 查询资料详情
  getIotInfo: async (id: number) => {
    return await request.get({ url: `/rq/iot-info/get?id=` + id })
  },

  // 新增资料
  createIotInfo: async (data: IotInfoVO) => {
    return await request.post({ url: `/rq/iot-info/create`, data })
  },

  // 修改资料
  updateIotInfo: async (data: IotInfoVO) => {
    return await request.put({ url: `/rq/iot-info/update`, data })
  },

  // 删除资料
  deleteIotInfo: async (id: number) => {
    return await request.delete({ url: `/rq/iot-info/delete?id=` + id })
  },

  // 导出资料 Excel
  exportIotInfo: async (params) => {
    return await request.download({ url: `/rq/iot-info/export-excel`, params })
  },
}
